package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.vo.api.DiscoverApiDirectoryVO;
import java.util.List;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public interface ApiDirectoryService {
   List<DiscoverApiDirectoryVO> getDiscoverApiDirectory(String projectid, String editionid);

   List<DiscoverApiDirectoryVO> getSortApiDirectory(String projectid, String editionid);

   List<DiscoverApiDirectoryVO> getLevelApiDirectory(String projectid, String editionid);

   List<DiscoverApiDirectoryVO> getComplianceApiDirectory(String projectid, String editionid);

   List<DiscoverApiDirectoryVO> getDesensitizationApiDirectory(String projectid, String editionid);

   List<DiscoverApiDirectoryVO> getAccountabilityApiDirectory(String projectid, String editionid);
}
